### Method

# GUsb Interface get_endpoints

since: 0.3.3

#### Declaration

    GPtrArray*
    g_usb_interface_get_endpoints (
      GUsbInterface* self
    )

#### Description

Gets interface endpoints.

Available since: 0.3.3

#### Return value

Type: An array of `GUsbEndpoint*`

An array of endpoints, or `NULL` on failure.

The caller of the method takes ownership of the returned data container, but not the data inside it.